Index: channels/chan_dahdi.c
===================================================================
--- channels/chan_dahdi.c	(revision 182520)
+++ channels/chan_dahdi.c	(working copy)
@@ -428,6 +428,7 @@
 #ifdef HAVE_PRI_INBANDDISCONNECT
 	unsigned int inbanddisconnect:1;				/*!< Should we support inband audio after receiving DISCONNECT? */
 #endif
+	unsigned int pmp_l1_check:1;			/*!< Whether we should ignore the l1 up/down events on a PMP BRI port */
 	time_t lastreset;						/*!< time when unused channels were last reset */
 	long resetinterval;						/*!< Interval (in seconds) for resetting unused channels */
 	/*! \brief ISDN signalling type (SIG_PRI, SIG_BRI, SIG_BRI_PTMP, etc...) */
@@ -1095,6 +1096,7 @@
 			.privateprefix = "",
 			.unknownprefix = "",
 			.resetinterval = -1,
+			.pmp_l1_check = -1,
 		},
 #endif
 #ifdef HAVE_SS7
@@ -8713,6 +8715,7 @@
 						pris[span].minunused = conf->pri.minunused;
 						pris[span].minidle = conf->pri.minidle;
 						pris[span].overlapdial = conf->pri.overlapdial;
+						pris[span].pmp_l1_check = (SIG_BRI_PTMP == chan_sig) ? conf->pri.pmp_l1_check : 1;
 #ifdef HAVE_PRI_INBANDDISCONNECT
 						pris[span].inbanddisconnect = conf->pri.inbanddisconnect;
 #endif
@@ -10838,7 +10841,7 @@
 					ast_verb(2, "%s D-Channel on span %d up\n", pri_order(which), pri->span);
 				}
 				pri->dchanavail[which] |= DCHAN_UP;
-			} else {
+			} else if (pri->pmp_l1_check) {
 				if (pri->dchanavail[which] & DCHAN_UP) {
 					ast_verb(2, "%s D-Channel on span %d down\n", pri_order(which), pri->span);
 				}
@@ -14173,6 +14176,10 @@
 			confp->chan.sendcalleridafter = atoi(v->value);
 		} else if (!strcasecmp(v->name, "mwimonitornotify")) {
 			ast_copy_string(mwimonitornotify, v->value, sizeof(mwimonitornotify));
+#ifdef HAVE_PRI
+		} else if (!strcasecmp(v->name, "pmp_l1_check")) {
+			confp->pri.pmp_l1_check = ast_true(v->value);
+#endif		
 		} else if (reload != 1) { 
 			 if (!strcasecmp(v->name, "signalling") || !strcasecmp(v->name, "signaling")) {
 				int orig_radio = confp->chan.radio;
